<?php
/**
 * The template for displaying comments.
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">
	<?php if ( have_comments() ) : ?>
	<h2 class="comments-title">
		<?php
				$comments_number = get_comments_number();
				if ( '1' === $comments_number ) {
					/* translators: %s: post title */
					printf( _x( 'One Reply to &ldquo;%s&rdquo;', 'comments title', 'whitish-lite' ), get_the_title() );
				} else {
					printf(
						/* translators: 1: number of comments, 2: post title */
						_nx(
							'%1$s Reply to &ldquo;%2$s&rdquo;',
							'%1$s Replies to &ldquo;%2$s&rdquo;',
							$comments_number,
							'comments title',
							'whitish-lite'
						),
						number_format_i18n( $comments_number ),
						get_the_title()
					);
				}
			?>
	</h2>
	<?php //whitish_lite_comment_nav(); ?>
	<nav class="navigation comment-navigation" role="navigation">
			<div class="nav-links">
				<div class="nav-previous"><?php previous_comments_link( esc_attr__( 'Older Comments','whitish-lite' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( esc_attr__( 'Newer Comments','whitish-lite' ) ); ?></div>
			</div><!-- .nav-links -->
	</nav><!-- .comment-navigation -->
	<ol class="comment-list">
	<?php
		wp_list_comments( array(
			'style'       => 'ol',
			'short_ping'  => true,
			'avatar_size' => 56,
		) );
	?>
	</ol> <!-- .comment-list -->
	<?php //whitish_lite_comment_nav(); ?>
	<nav class="navigation comment-navigation" role="navigation">
			<div class="nav-links">
				<div class="nav-previous"><?php previous_comments_link( esc_attr__( 'Older Comments','whitish-lite' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( esc_attr__( 'Newer Comments','whitish-lite' ) ); ?></div>
			</div><!-- .nav-links -->
	</nav><!-- .comment-navigation -->
	
	<?php endif; // have_comments() ?>
	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
	<p class="no-comments">
	<?php esc_html_e( 'Comments are closed.', 'whitish-lite' ); ?>
	</p>
	<?php endif; ?>
	<?php comment_form(); ?>
</div> <!-- .comments-area -->