<?php
/**
 * Displays the header content
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php
$whitish_lite_settings = whitish_lite_get_theme_options(); ?>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
<!-- Masthead ============================================= -->
<header id="masthead" class="site-header">
		<div class="top-header">
			<div class="container clearfix">
				<?php if (has_nav_menu('top')) { ?>

					<div class="topmenu">
						<?php
							/*$topmenuargs = array(
								'theme_location' => 'top',
								'container'      => 'ul',
								'menu_class' => 'pull-left',
								'fallback_cb'	=> false,
								);
							wp_nav_menu($topmenuargs);*/ ?>
							
							<?php //echo do_shortcode('[gtranslate]'); ?>
					</div>

		<?php
				}

				if($whitish_lite_settings['whitish_lite_top_social_icons'] == 0):
					echo '<div class="header-social-block">';

							do_action('whitish_lite_social_links');
					echo '</div>'.'<!-- end .header-social-block -->';

				endif;
				 ?>
			</div> <!-- end .container -->
		</div> <!-- end .top-header -->
		<?php do_action('whitish_lite_site_branding'); ?>
		<!-- Main Header============================================= -->
				<div id="sticky_header">
					<div class="container clearfix">
						<div class="menu-toggle">
							<div class="line-one"></div>
				  			<div class="line-two"></div>
				  			<div class="line-three"></div>
					  	</div>
					  	<!-- end .menu-toggle -->
					  	<h3 class="nav-site-title">
							<a href="<?php echo esc_url(home_url('/'));?>" title="<?php echo esc_attr(get_bloginfo('name', 'display'));?>"><?php bloginfo('name');?></a>
						</h3>
					<!-- end .nav-site-title -->
						<!-- Main Nav ============================================= -->
						<?php
							if (has_nav_menu('primary')) { ?>
						<?php $args = array(
							'theme_location' => 'primary',
							'container'      => '',
							'items_wrap'     => '<ul class="menu">%3$s</ul>',
							); ?>
						<nav id="site-navigation" class="main-navigation clearfix">
							<?php wp_nav_menu($args);//extract the content from apperance-> nav menu ?>
						</nav> <!-- end #site-navigation -->
						<?php } else {// extract the content from page menu only ?>
						<nav id="site-navigation" class="main-navigation clearfix">
							<?php	wp_page_menu(array('menu_class' => 'menu')); ?>
						</nav> <!-- end #site-navigation -->
						<?php }


			echo '</div> <!-- end .container -->
			</div> <!-- end #sticky_header -->';
		$enable_slider = $whitish_lite_settings['whitish_lite_enable_slider'];
		if (! is_front_page() || (is_front_page() && $enable_slider=='disable') ) {
			do_action('whitish_lite_header_image');
		}
		whitish_lite_slider_value();
		if ($enable_slider=='enable'){
			if(is_front_page() && ($enable_slider=='enable') ) {
				if($whitish_lite_settings['whitish_lite_slider_type'] == 'default_slider') {
						echo wp_kses_post(whitish_lite_page_sliders());
				}
			}

		} ?>

</header> <!-- end #masthead -->
<!-- Main Page Start ============================================= -->
<div id="content">
<?php
	$featued_block_title = $whitish_lite_settings['whitish_lite_featured_block_title'];
	$disable_featured = $whitish_lite_settings['whitish_lite_disable_features'];
	if ($featued_block_title && is_front_page() && ($disable_featured != 1)) {
?>
		<div class="featured-title txt-center"><h2><?php echo esc_html($featued_block_title);?></h2></div>
<?php } ?>

<div class="container clearfix">

<?php
if(is_front_page()){
	do_action('whitish_lite_display_frontpage_features');
}
if(!is_home()){?>
	<div class="page-header">
		<h2 class="page-title"><?php echo esc_html(get_the_archive_title()); ?></h2>
		<!-- .page-title -->
		<?php whitish_lite_breadcrumb(); ?>
		<!-- .breadcrumb -->
	</div>
	<!-- .page-header -->
<?php } ?>
