<?php
/**
 * Theme Customizer Functions
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */
/******************** Whitish Lite Contact us SETTINGS ******************************************/
$whitish_lite_settings = whitish_lite_get_theme_options();

 //Contact page

$wp_customize->add_section( 'whitish_lite_contact_page', array(
    'title'       => __( 'Contact Us Page Options', 'whitish-lite' ),
    'priority'    => 34,
) );

$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_contact_address]',
        array(
            'type'    => 'option',
            'default' => $whitish_lite_settings['whitish_lite_contact_address'],
            'sanitize_callback' => 'sanitize_text_field',
            'default' => ''
            )
);
$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_contact_address]',
        array(
            'type'    => 'text',
            'label'   => esc_html__( 'Add Address', 'whitish-lite' ),
            'section' => 'whitish_lite_contact_page',
            'settings'=> 'whitish_lite_theme_options[whitish_lite_contact_address]'
            )
);

$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_contact_phone]',
        array(
            'type'    => 'option',
            'default' => $whitish_lite_settings['whitish_lite_contact_phone'],
            'sanitize_callback' => 'sanitize_text_field',
            'default' => ''
            )
);
$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_contact_phone]',
        array(
            'type'    => 'text',
            'label'   => esc_html__( 'Add Phone Number', 'whitish-lite' ),
            'section' => 'whitish_lite_contact_page',
            'settings'=> 'whitish_lite_theme_options[whitish_lite_contact_phone]'
            )
);

$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_contact_skype]',
        array(
            'type'    => 'option',
            'default' => $whitish_lite_settings['whitish_lite_contact_skype'],
            'sanitize_callback' => 'sanitize_text_field',
            'default' => ''
            )
);
$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_contact_skype]',
        array(
            'type'    => 'text',
            'label'   => esc_html__( 'Add Skype ID', 'whitish-lite' ),
            'section' => 'whitish_lite_contact_page',
            'settings'=> 'whitish_lite_theme_options[whitish_lite_contact_skype]'
            )
);


$wp_customize->add_setting('whitish_lite_theme_options[whitish_lite_contact_email]',
        array(
            'type'    => 'option',
            'default' => $whitish_lite_settings['whitish_lite_contact_email'],
            'sanitize_callback' => 'sanitize_text_field',
            'default' => ''
            )
);
$wp_customize->add_control('whitish_lite_theme_options[whitish_lite_contact_email]',
        array(
            'type'    => 'text',
            'label'   => esc_html__( 'Add Email', 'whitish-lite' ),
            'section' => 'whitish_lite_contact_page',
            'settings'=> 'whitish_lite_theme_options[whitish_lite_contact_email]'
            )
);